/**
* Copyright (C) Mellanox Technologies Ltd. 2001-2011.  ALL RIGHTS RESERVED.
* This software product is a proprietary product of Mellanox Technologies Ltd.
* (the "Company") and all right, title, and interest and to the software product,
* including all associated intellectual property rights, are and shall
* remain exclusively with the Company.
*
* This software product is governed by the End User License Agreement
* provided with the software product.
* $COPYRIGHT$
* $HEADER$
*/





#ifndef __FCA_PARSE_SPECFILE_H__
#define __FCA_PARSE_SPECFILE_H__

#include <stdio.h> /* required for FILE* */
#include "../fca_api.h"

/* Forward declaration */
struct _dictionary_;

/**
 * Read the given INI file and initializes parser structures.
 *
 * @spec_ini_file: path to INI file.
 * @return: allocated FCA initialization spec, or NULL if error.
 */
fca_init_spec_t *fca_parse_spec_file(const char* spec_ini_file);

/**
 * Free the data returned by `fca_parse_spec_file', after it's no longer needed.
 *
 * @fca_init_spec: Data to free.
 */
void fca_free_init_spec(fca_init_spec_t *fca_init_spec);

/**
 * Parse general FCA settings from a INI file dictionary.
 */
int fca_parse_general_params(fca_config_t *fca_config, struct _dictionary_ *ini);

/**
 * Dump FCA configuration to a file or a stream.
 */
void fca_dump_init_spec(fca_init_spec_t *init_spec, FILE *stream);


#endif

