#!/bin/sh

PPN=8
PMPI_HOME=/hpc/home/USERS/platforms/hkzhang/pmpi
FCA_HOME=/hpc/local/voltaire/fca
IMB_EXE=/hpc/home/USERS/platforms/hkzhang/IMB/src/IMB-MPI1-pmpi
HOSTS="mir1,mir2,mir3,mir4,mir5,mir6,mir7,mir8,mir9,mir10,mir11,mir12"

##################### Do not edit below this line #####################

NHOSTS=$(echo $HOSTS |sed -e "s/,/ /g"|wc -w)
NP=$(expr $PPN \* $NHOSTS)


if [ "$1" == "fca" ]; then
        echo Using FCA
        PMPI_PARAMS="-entry=manual:libmpifca1.2.so,mpio,reg -e PMPI_FCA_PATH=$FCA_HOME -e PMPI_FCA_THRESHOLD=1 -e PMPI_FCA_LEN_RATE=2"
else
        echo Using PMPI
        PMPI_PARAMS="-entry=manual:mpio,reg"
fi


$PMPI_HOME/bin/mpirun -cpu_bind=rank -hostlist $HOSTS -np $NP -e MPI_IB_CARD_ORDER=mlx4_0:0 -ibv $PMPI_PARAMS $IMB_EXE -npmin $NP Allreduce Reduce Barrier Bcast Allgather Allgatherv

